ISC BIND DNAME Recursion DoS (CVE-2021-25215)

high Nessus Plugin ID 149211
New! Plugin Severity Now Using CVSS v3

The calculated severity for Plugins has been updated to use CVSS v3 by default. Plugins that do not have a CVSS v3 score will fall back to CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Synopsis

The remote name server is affected by a denial of service vulnerability.

Description

According to its self-reported version, the ISC Bind present on the remote host is affected by a denial of service vulnerability:

- DNAME records, described in RFC 6672, provide a way to redirect a subtree of the domain name tree in the DNS. A flaw in the way named processes these records may trigger an attempt to add the same RRset to the ANSWER section more than once. When a vulnerable version of named receives a query for a record triggering the flaw, the named process will terminate due to a failed assertion check.

Note that Nessus has not tested for this issue but has instead relied only on the application's self-reported version number.

Solution

Upgrade to the patched release most closely related to your current version of BIND.

See Also

https://kb.isc.org/v1/docs/CVE-2021-25215

Plugin Details

Severity: High

ID: 149211

File Name: bind9_91712_cve-2021-25215.nasl

Version: 1.3

Type: remote

Family: DNS

Published: 4/30/2021

Updated: 5/10/2021

Dependencies: bind_version.nasl

Configuration: Enable paranoid mode

Risk Information

CVSS Score Source: CVE-2021-25215

VPR

Risk Factor: Low

Score: 3.6

CVSS v2

Risk Factor: Medium

Base Score: 5

Temporal Score: 3.7

Vector: AV:N/AC:L/Au:N/C:N/I:N/A:P

Temporal Vector: E:U/RL:OF/RC:C

CVSS v3

Risk Factor: High

Base Score: 7.5

Temporal Score: 6.5

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H

Temporal Vector: E:U/RL:O/RC:C

Vulnerability Information

CPE: cpe:/a:isc:bind

Required KB Items: bind/version, Settings/ParanoidReport

Exploit Ease: No known exploits are available

Patch Publication Date: 4/28/2021

Vulnerability Publication Date: 4/28/2021

Reference Information

CVE: CVE-2021-25215

IAVA: 2021-A-0206